using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json;
using Stripe;
using Stripe.Checkout;
using SumaTube.Models;

namespace SumaTube.Controllers
{
    public class PlansController : Controller
    {
        private string domain = "";

        public PlansController()
        {
            domain = "http://192.168.0.27:5094/";  
        }

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Pay(string ammount)
        {
            return View();
        }

        public IActionResult OrderView([FromQuery] string SessionId)
        {
            var sessionService = new SessionService();
            Session session = sessionService.Get(SessionId);

            ViewBag.Status = session.RawJObject["status"];
            ViewBag.CustomerEmail = session.RawJObject["customer_details"]["email"];
            //return Json(new { status = session.RawJObject["status"], customer_email = session.RawJObject["customer_details"]["email"] });
            return View();
        }

    }
}
